Name:           debiandoc-sgml
Version:        1.2.15
Release:        0.20110701.0%{?dist}.art
Summary:        DebianDoc SGML DTD and formatting tools

#Group:          
License:        GPLv2+
# URL:            
Source0:        %{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

# BuildRequires:  
Requires(post): /usr/bin/install-catalog
Requires(preun): /usr/bin/install-catalog

%description
This is an SGML-based documentation formatting package used for the Debian
manuals. It reads markup files and produces HTML, LaTeX, DVI (via LaTeX),
PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo, Info (via Texinfo),
DebianDoc SGML, DocBook XML, plain text (with overstrikes a la troff as
well as without) files. 

%prep
%setup -q


%build
sed -i -e "s,^perl_dir.*:=.*$,perl_dir	:= \$(DESTDIR)%{perl_vendorlib}," Makefile
make %{?_smp_mflags} prefix=%{_prefix}


%install
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}

install -d -m755 ${RPM_BUILD_ROOT}/etc/sgml
touch ${RPM_BUILD_ROOT}/etc/sgml/debiandoc-sgml.cat

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/install-catalog \
  --add /etc/sgml/debiandoc-sgml.cat \
  /usr/share/sgml/debiandoc/dtd/sgml/1.0/catalog
/usr/bin/install-catalog \
  --add /etc/sgml/debiandoc-sgml.cat \
  /usr/share/sgml/debiandoc/entities/catalog

%preun
/usr/bin/install-catalog \
  --remove /etc/sgml/debiandoc-sgml.cat \
  /usr/share/sgml/debiandoc/dtd/sgml/1.0/catalog
/usr/bin/install-catalog \
  --remove /etc/sgml/debiandoc-sgml.cat \
  /usr/share/sgml/debiandoc/entities/catalog

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/*
%{_datadir}/sgml/debiandoc
%{_datadir}/debiandoc-sgml
%{_mandir}/man1/*.1*
%{perl_vendorlib}/DebianDoc_SGML
%ghost /etc/sgml/debiandoc-sgml.cat

%changelog
